#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID

echo "* Moving from $DIR to $INSTALLDIR"
cd $INSTALLDIR

mkdir -p /etc/ipcas
if [ ! -f "/ipc/ipcas/bases.json" ]
then
    cp "$INSTALLDIR/config/bases.json" "/etc/ipcas/"
fi

dos2unix *.js

echo "* Installing NPM dependencies"
npm install express body-parser moment path xml-js

echo "* Moving from $INSTALLDIR to $DIR"
cd $DIR

cp "$DIR/ipcas.service" "/etc/systemd/system/"
systemctl enable ipcas
systemctl daemon-reload

php "$DIR/InstallAPIKeyOmbutel.php"

dos2unix "$DIR/extensions__65-sms.conf"
dos2unix "$DIR/sip__90-sms.conf"
cp -f "$DIR/extensions__65-sms.conf" "/etc/asterisk/ombutel"
cp -f "$DIR/sip__90-sms.conf" "/etc/asterisk/ombutel"
asterisk -rx "dialplan reload"

#Creation des répertoires si besoin est
echo "* Creation de /var/spool/ipcas"
mkdir -p /var/spool/ipcas/sms
mkdir -p /var/spool/ipcas/alarm
chown asterisk:asterisk -R /var/spool/ipcas
chmod 775 -R /var/spool/ipcas

dos2unix "$INSTALLDIR/FileAPI/astfilewriter.sh"
chmod +x "$INSTALLDIR/FileAPI/astfilewriter.sh"

