const EventEmitter=require("events"),dgram=require("dgram"),server=dgram.createSocket("udp4"),xmlconvert=require("xml-js"),fs=require("fs"),moment=require("moment"),log=require("../log/log.js"),reqgen=require("./helpers/request.js"),repgen=require("./helpers/response.js"),bs=require("./objects/bs.js"),hs=require("./objects/hs.js"),cpbx5=require("./cpbxapi/cpbx5.js");module.exports=class extends EventEmitter{constructor(e,s){super(),this._instanceid=moment().unix(),this._port=e,this._server=dgram.createSocket("udp4"),this._responsecallbacks=[],this._reqcounter=0,this.basestations=[],this.handsets=[],this._server.on("listening",()=>{if(fs.unlink("frames.log",e=>{e&&console.log(e)}),this.emit("listening",this._port),void 0!==s&&null!==s)for(var e of s)log.log("Trying to discover base station at "+e.ip+":"+e.port),this._sendKeepAlive(e.ip,e.port)}),this._server.on("close",()=>{this.emit("stopped")}),this._server.on("message",(e,s)=>{var t=e.toString("latin1");t=t.replace(/\0/g,"").replace(/\r\n/g,"").trim(),fs.appendFile("frames.log","<<<----- Received from "+s.address+":"+s.port+" -----\r\n"+t+"\r\n\r\n",e=>{e&&console.log(e)}),this._parseMessage(t,s)}),this._server.bind(this._port),this._keepalivetimer=setInterval(()=>{for(var e of this.basestations)this._sendKeepAlive(e.ip,e.port)},18e5),this._responsecallbacktimer=setInterval(()=>{for(var e=0;e<this._responsecallbacks.length;e++){var s=this._responsecallbacks[e];moment().unix()-s.timestamp>60&&(this._responsecallbacks.splice(e,1),e--)}},6e4)}close(){this._server.close()}_generateExternalID(){return this._reqcounter++,moment().unix()+"."+this._reqcounter}_send(e,s,t,a){var n=new Buffer.from(t,"latin1");this._server.send(n,s,e,e=>{a(e)}),fs.appendFile("frames.log","----- Sent to "+e+":"+s+" -----\x3e>>\r\n"+t+"\r\n\r\n",e=>{e&&log.log(e)})}_sendRequest(e,s,t,a){if(void 0!==a&&null!==a){var n={externalid:e.request.externalid._text,callback:a,timestamp:moment().unix(),usecount:0};this._responsecallbacks.push(n)}var r=xmlconvert.json2xml(e,{compact:!0,ignoreComment:!0,spaces:0,fullTagEmptyElement:!0});this._send(s,t,r,e=>{e&&log.log("Error sending request: "+e)})}_sendResponse(e,s,t){var a=xmlconvert.json2xml(e,{compact:!0,ignoreComment:!0,spaces:0,fullTagEmptyElement:!0});this._send(s,t,a,e=>{e&&log.log("Error sending response: "+e)})}_parseMessage(e,s){try{var t=JSON.parse(xmlconvert.xml2json(e,{compact:!0,trim:!0,spaces:4,nativeType:!0,ignoreComment:!0}));t.hasOwnProperty("request")?this._handleRequest(t,s):t.hasOwnProperty("response")?this._handleResponse(t,s):log.log("Unknown message : \r\n"+t)}catch(s){log.log("Exception while parsing message : \r\n"+e+"\r\n"+s)}}_handleRequest(e,s){this.emit("request",e);try{switch(e.request._attributes.type){case"systeminfo":this._handleSystemInfo(e,s);break;case"login":this._handleHandsetLogin(e,s);break;case"job":e.request.jobdata.hasOwnProperty("messages")&&this._handleMessageRequestAsync(e,s);break;case"alarm":this._handleAlarmRequestAsync(e,s);break;default:log.log("Unknow request type : "+e.request._attributes.type+"\r\n"+JSON.stringify(e))}}catch(s){log.log("Exception while handling request : \r\n"+JSON.stringify(e)+"\r\n"+s)}}_handleResponse(e,s){this.emit("response",e);try{if(!e.response.hasOwnProperty("externalid")||!e.response.externalid.hasOwnProperty("_text"))return void log.log("Error while handling response : missing externalid !\r\n"+JSON.stringify(e));var t=e.response.externalid._text;for(var a of this._responsecallbacks)if(a.externalid==t)return a.callback(e,s),void a.usecount++;switch(e.response._attributes.type){case"systeminfo":this._updateSystemInfo(e,s);break;case"job":this._handleAlarmResponseAsync(e,s)}}catch(s){log.log("Exception while handling response : \r\n"+JSON.stringify(e)+"\r\n"+s)}}async convertNumericToDeviceAsync(e){return await cpbx5.getDevicesExtensionAsync(e)}async getHandsetsWithAddressAsync(e){if(null!==(o=this.gethandset(e)))return(s=[]).push(o),s;if(null!==(r=await this.convertNumericToDeviceAsync(e))){var s=[];for(var t of r){null!==(o=this.gethandset(t.user))&&s.push(o)}return s}if(null!==await cpbx5.getRingGroupAsync(e)){s=[];var a=await cpbx5.getRingGroupMembersAsync(e);if(null!==a){for(var n of a){var r;if(null!==(r=await this.convertNumericToDeviceAsync(n.extension)))for(var t of r){var o;null!==(o=this.gethandset(t.user))&&s.push(o)}}return s}}return[]}getbasestation(e){for(var s of this.basestations)if(s.ip===e)return s;return null}gethandset(e){for(var s of this.handsets)if(s.address==e)return s;return null}getbasestationhandset(e){for(var s of this.basestations){if(null!==s.gethandset(e))return s}return null}handsetexist(e){for(var s of this.basestations){if(null!==s.gethandset(e))return!0}return!1}addbasestation(e){this.basestations.push(e)}removebasestation(e){var s=this.basestations.indexOf(e);s>-1&&this.basestations.splice(s,1)}_handleSystemInfo(e,s){this._updateSystemInfo(e,s);var t=repgen.buildResponseStatus("systeminfo",e.request.externalid._text,1,"System running");this._sendResponse(t,s.address,s.port)}_updateSystemInfo(e,s){var t=null,a=null;e.hasOwnProperty("request")?(t=e.request.senderdata,a=e.request.systemdata):e.hasOwnProperty("response")&&(t=e.response.senderdata,a=e.response.systemdata);var n=this.getbasestation(s.address);if(null===n?(n=new bs(s.address,s.port,a.name._text),this.addbasestation(n),log.log("["+n.ip+":"+n.port+"] Creating base station "+n.name)):(n.name=a.name._text,log.log("["+n.ip+":"+n.port+"] Updating base station "+n.name)),t.hasOwnProperty("address"))if(Array.isArray(t.address))for(var r=0;r<t.address.length;r++){var o=t.address[r]._text,i=t.name[r]._text;null===(d=this.gethandset(o))&&(d=new hs(o,i),this.handsets.push(d),log.log("["+n.ip+":"+n.port+"] Creating handset "+d.name+"("+d.address+")")),null!==(l=this.getbasestationhandset(o))&&l.ip!==n.ip&&(l.removehandset(d),log.log("["+n.ip+":"+n.port+"] Removing handset "+d.name+" from base station "+n.name)),null===n.gethandset(o)&&(n.addhandset(d),log.log("["+n.ip+":"+n.port+"] Adding handset "+d.name+" in base station "+n.name))}else{var d,l;o=t.address._text,i=t.name._text;null===(d=this.gethandset(o))&&(d=new hs(o,i),this.handsets.push(d),log.log("["+n.ip+":"+n.port+"] Creating handset "+d.name+"("+d.address+")")),null!==(l=this.getbasestationhandset(o))&&l.ip!==n.ip&&(l.removehandset(d),log.log("["+n.ip+":"+n.port+"] Removing handset "+d.name+" from base station "+n.name)),null===n.gethandset(o)&&(n.addhandset(d),log.log("["+n.ip+":"+n.port+"] Adding handset "+d.name+" in base station "+n.name))}this.emit("systeminfo",n)}_sendKeepAlive(e,s){var t=reqgen.buildRequestSystemInfo();this._sendRequest(t,e,s,null)}_handleHandsetLogin(e,s){var t=this.getbasestation(s.address);null===t&&(t=new bs(s.address,s.port,e.request.systemdata.name._text),this.addbasestation(t),log.log("Adding base station "+t.name+" ("+t.ip+":"+t.port+")"));var a=e.request.senderdata.address._text,n=e.request.senderdata.name._text;for(var r of this.basestations)if(r.ip!==t.ip){var o=r.gethandset(a);null!==o&&(r.removehandset(o),log.log("["+t.ip+":"+t.port+"] Handset "+o.name+" logged out from base station "+r.name),this.emit("logout",r,o))}if(1===e.request.logindata.status._text){var i=t.gethandset(a);null===i&&(i=new hs(a,n),null===this.gethandset(a)&&this.handsets.push(i),t.addhandset(i),log.log("["+t.ip+":"+t.port+"] Handset "+i.name+" logged in base station "+t.name),this.emit("login",t,i))}var d=repgen.buildResponseStatus("login",e.request.externalid._text,1,"Accepted by external system");this._sendResponse(d,s.address,s.port)}async _handleMessageRequestAsync(e,s){var t=e.request.externalid._text,a=e.request.jobdata.messages.messageuui._text,n=e.request.senderdata.address._text,r=e.request.senderdata.location._text,o=e.request.persondata.address._text,i=null;log.log("Message request from "+n+" ("+r+") to "+o+" : "+a);var d=this.getbasestation(s.address);if(null===d)return log.log("["+d.ip+":"+d.port+"] Received message request from unknown base station "+e.request.systemdata.name._text+". Request ignored."),this.emit("smsfailed",t,e.request.senderdata.address._text,e.request.senderdata.name._text,o),(l=repgen.buildResponseBase("job",t)).response.senderdata=e.request.senderdata,l.response.persondata=e.request.persondata,l.response.jobdata=e.request.jobdata,l.response.jobdata.messages.messageuui._text="",l.response.jobdata.status={_text:0},l.response.jobdata.statusinfo={_text:"Received message request from unknown base station "+e.request.systemdata.name._text+" ("+s.address+":"+s.port+")"},void this._sendResponse(l,s.address,s.port);if(null===d.gethandset(n))return log.log("Received message request from unknown handset "+n+". Request ignored."),this.emit("smsfailed",t,e.request.senderdata.address._text,e.request.senderdata.name._text,o),(l=repgen.buildResponseBase("job",t)).response.senderdata=e.request.senderdata,l.response.persondata=e.request.persondata,l.response.jobdata=e.request.jobdata,l.response.jobdata.messages.messageuui._text="",l.response.jobdata.status={_text:0},l.response.jobdata.statusinfo={_text:"Received message request from unknown handset "+n},void this._sendResponse(l,s.address,s.port);var l,g=this.getbasestationhandset(o);if(null===g){var u=await this.getHandsetsWithAddressAsync(o);if(log.log("Found "+u.length+" devices for destination "+o),u.length>0)for(var p of u)if(null!==(g=this.getbasestationhandset(p.address))){log.log("Found valid DECT device "+p.address+" for destination "+o+". Sending to this device"),i=p;break}}else i=this.gethandset(o);if(null===g||null===i)return log.log("Received message request to unknown handset "+o+". Request ignored."),this.emit("smsfailed",t,e.request.senderdata.address._text,e.request.senderdata.name._text,o),(l=repgen.buildResponseBase("job",t)).response.senderdata=e.request.senderdata,l.response.persondata=e.request.persondata,l.response.jobdata=e.request.jobdata,l.response.jobdata.messages.messageuui._text="",l.response.jobdata.status={_text:0},l.response.jobdata.statusinfo={_text:"Received message request to unknown handset "+o},void this._sendResponse(l,s.address,s.port);var h=e;h.request.persondata.address._text=i.address,log.log("Relaying message request to base station "+g.ip+":"+g.port),this._sendRequest(h,g.ip,g.port,(e,s)=>{e.response.hasOwnProperty("status")?1==e.response.status._text?(log.log("Message sent to "+o),this.emit("smssent",t)):(log.log("Message failed to "+o),this.emit("smsfailed",t)):e.response.hasOwnProperty("jobdata")&&e.response.jobdata.hasOwnProperty("status")&&(1===e.response.jobdata.status._text?(this.emit("smsdelivered",t),log.log("Message delivered to "+o)):(this.emit("smsfailed",t),log.log("Message failed to "+o))),h=e,this._sendResponse(h,d.ip,d.port)})}async _sendMessageAsync(e,s,t,a,n,r){var o=this.getbasestationhandset(a);if(null===o)return log.log("Received message request to unknown handset "+a+". Request ignored."),void this.emit("smsfailed",e);var i=reqgen.buildRequestJobMessage(n,r,s,t,a);log.log("Sending message request to base station "+o.ip+":"+o.port),this._sendRequest(i,o.ip,o.port,(s,t)=>{if(s.response.hasOwnProperty("status")&&1==s.response.status._text)this.emit("smssent",e),log.log("Message sent to "+a);else if(s.response.hasOwnProperty("jobdata")&&s.response.jobdata.hasOwnProperty("status"))switch(s.response.jobdata.status._text){case 1:this.emit("smsdelivered",e),log.log("Message delivered to "+a);break;case 11:this.emit("smshandsetnotfound",e,this.getbasestation(t.address)),log.log("Base station was unable to find handset "+a);break;default:log.log("Unknown response for sendMessageAsync : "+JSON.stringify(s))}else log.log("Unknown response for sendMessageAsync : "+JSON.stringify(s))})}async sendMessageAsync(e,s,t,a,n,r){var o=await this.getHandsetsWithAddressAsync(a);if(0===o.length)return log.log("Unable to find handsets for destination "+a),void this.emit("smsfailed",e);for(var i of o)await this._sendMessageAsync(e,s,t,i.address,n,r)}async _handleAlarmRequestAsync(e,s){var t=e.request.externalid._text,a=e.request.senderdata.address._text,n=e.request.senderdata.location._text,r=e.request.alarmdata.type._text;log.log("Alarm type "+r+" triggered by "+a+" ("+n+")");var o=this.getbasestation(s.address);if(null!==o){var i=this.gethandset(a);if(null!==i){var d="";switch(r){case 0:d="Man Down";break;case 1:d="No Movement";break;case 2:d="Running";break;case 3:d="Pull Cord";break;case 4:d="Red Key"}this.emit("alarm",t,r,d,o.name,o.ip,i.address,i.name);l=repgen.buildResponseStatus("alarm",t,1,"Accepted by external system");this._sendResponse(l,o.ip,o.port)}else{log.log("Received alarm from unknown handset "+a+". Request ignored.");var l=repgen.buildResponseStatus("alarm",t,0,"From HS not found");this._sendResponse(l,s.address,s.port)}}else{log.log("["+base.ip+":"+base.port+"] Received alarm from unknown base station "+e.request.systemdata.name._text+". Request ignored.");var l=repgen.buildResponseStatus("alarm",t,0,"From BS not found");this._sendResponse(l,s.address,s.port)}}async _handleAlarmResponseAsync(e,s){var t=e.response.externalid._text;if(e.response.hasOwnProperty("status")&&1==e.response.status._text)this.emit("alarmsent",t);else if(e.response.hasOwnProperty("jobdata")&&e.response.jobdata.hasOwnProperty("status"))switch(e.response.jobdata.status._text){case 1:this.emit("alarmdelivered",t);break;case 2:this.emit("alarmbusy",t);break;case 3:this.emit("alarmerror",t);break;case 4:this.emit("alarmconfirmed",t);break;case 5:this.emit("alarmrejected",t);break;case 6:this.emit("alarmpaging",t);break;case 10:this.emit("alarmcanceled",t);break;case 11:this.emit("alarmhandsetnotfound",t,this.getbasestation(s.address));break;case 21:this.emit("alarmread",t);break;default:log.log("Unknown response for sendAlarmAsync : "+JSON.stringify(e))}else log.log("Unknown response for sendAlarmAsync : "+JSON.stringify(e))}async _sendAlarmAsync(e,s,t,a,n,r){var o=this.getbasestationhandset(n);if(null===o)return log.log("Received message request to unknown handset "+n+". Request ignored."),void this.emit("alarmfailed",e);log.log("Sending alarm request to "+o.ip+":"+o.port);var i=reqgen.buildRequestJobAlarm(e,s,t,a,r,n);this._sendRequest(i,o.ip,o.port,null)}async sendAlarmAsync(e,s,t,a,n,r){var o=await this.getHandsetsWithAddressAsync(n);if(0===o.length)return log.log("Unable to find handsets for destination "+n),void this.emit("alarmfailed",e);for(var i of o)await this._sendAlarmAsync(e,s,t,a,i.address,r)}};
